GCell::Key(3)

NAME
GCell::Key - GCell Key - Density Cache.

SYNOPSIS

  Public Member Functions
Key (GCell *, unsigned int depth)
float getDensity () const
GCell * getGCell () const
void update (unsigned int depth)

Detailed Description

GCell Key - Density Cache. This class is used to create a GCell internal cache on density, mainly to be used by GCellDensitySet.

Constructor & Destructor Documentation

  Key (GCell * owner, unsigned int depth) [inline]

Parameters:
    owner The GCell owning the key.
    depth The layer depth of the density to use.

Key constructor, with an initial value for the cached density.

Member Function Documentation

  float getDensity () const [inline]
Returns: The value of the cached density.

  GCell * getGCell () const [inline]
Returns: The owning GCell.

  void update (unsigned int depth) [inline]
Returns: Update the density

Referenced by GCell::updateKey().

Author

Generated automatically by Doxygen for Katabatic - Routing Toolbox from the source code.